Bug 966003 - Changing vmpool's quota is ignored.
Changing vmpool's quota is ignored.
Status: CLOSED ERRATA
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine-webadmin-portal (Show other bugs)
3.2.0
Unspecified Unspecified
unspecified Severity medium
: ---
: 3.3.0
Assigned To: Doron Fediuck
Ondra Machacek
sla
: ZStream
Depends On:
Blocks: 977351
  Show dependency treegraph
 
Reported: 2013-05-22 05:30 EDT by Ondra Machacek
Modified: 2016-02-10 15:19 EST (History)
9 users (show)

See Also:
Fixed In Version: is12
Doc Type: Release Note
Doc Text:
Previously, it appeared that users could edit the quota of a virtual machine pool using the Edit Pool window, because the quota field was enabled. The quota field is now disabled when editing a pool.
Story Points: ---
Clone Of:
: 977351 (view as bug list)
Environment:
Last Closed: 2014-01-21 12:21:58 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: SLA
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 15320 None None None Never
oVirt gerrit 18589 None None None Never
oVirt gerrit 18685 None None None Never

  None (edit)
Description Ondra Machacek 2013-05-22 05:30:49 EDT
Description of problem:
When quota of vmpools is changed the new value is ignored and the old one stay assigned to vmpool.

Version-Release number of selected component (if applicable):
sf17

How reproducible:
always

Steps to Reproduce:
1. Set DC to enforced or audit mode.
2. Create quota1 and quota2.
3. Create vmpool with quota1 assigned.
4. Reassign quota2 to vmpool.

Actual results:
After quota2 is assigned to pool. quota1 is still assigned to vmpool.

Expected results:
quota2 is assigned to pool.

Additional info:
Comment 1 ofri 2013-06-03 08:32:43 EDT
Quota selection in the Edit dialog should have been disabled (like all of the other fields which are inherited from the template). 
The user can select the quota for the pool once (on pool creation) but cannot change the quota selection once the pool was already created.
Comment 3 Ondra Machacek 2013-08-23 07:06:57 EDT
Edit dialog box of vmpool has quota combox box enabled.
Behaviour is same as in description in #c0.
Tested in is10.
Comment 4 Ondra Machacek 2013-09-03 05:19:39 EDT
Quota combo box is disabled. Verified is12.
Comment 6 errata-xmlrpc 2014-01-21 12:21:58 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2014-0038.html

Note You need to log in before you can comment on or make changes to this bug.